<?php
$soor_type = 4; // Проверка наличия сооружения
include_once('../inclfiles/core.php');
$work = mysql_fetch_array(mysql_query("SELECT * FROM `works` WHERE `id` = 7"));
$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = 4"));
$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = 4 AND `level` = ".$building['level'].""));
$title = $work['name'];
include_once('../inclfiles/head.php');

if(mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `work` = ".$work['id']." AND `country` = ".$country['id']."")) != 0){
	t('В данный момент уже ведется обучение ученых');
}
else{
	if($country['peoples_free'] == 0 OR $country['academics_free'] == 0){
		if($country['peoples_free'] == 0 AND $country['academics_free'] == 0) t('В Вашем государстве нет свободных рабочих и ученых');
		else if($country['peoples_free'] == 0) t('В Вашем государстве нет свободных рабочих');
		else t('В Вашем государстве нет свободных ученых');
	}
	else{
		if($_POST['ok'] != null){
			$peoples = num($_POST['peoples']);
            $academics = num($_POST['academics']);
            if(empty($academics) OR empty($peoples)) $err[] = 'Не заполнено одно или несколько полей';
            else{
	            if($peoples > $country['peoples_free']) $err[] = 'Недостаточно свободных рабочих';
	            if($academics > $country['academics_free']) $err[] = 'Недостаточно свободных ученых';

                $ostalos = floor(900 * $peoples / $academics);
                $cena_money = 7*$peoples;
                $cena_stone = 4*$peoples;

               	if(!res_proverka($cena_money,0,$cena_stone,0,0,0,0)) $err[] = 'Недостаточно ресурсов';

	        }
         	if(!isset($err)){
                mysql_query("INSERT INTO `tasks` SET `work` = 7,`mans` = '".$work['mans']."', `country` = ".$country['id'].", `number` = ".$academics.", `kolvo` = ".$peoples.", `time_start` = ".time().", `time_end` = ".(time() + $ostalos)."");
             	mysql_query("UPDATE `countries` SET `peoples_free`= (`peoples_free` - ".$peoples."),`peoples`= (`peoples` - ".$peoples."),`academics_free`= (`academics_free` - ".$academics."), `money`= (`money` - ".$cena_money."), `stone`= (`stone` - ".$cena_stone.") WHERE `id` = ".$country['id']." ");

				t1();
				echo 'Обучение '.chislo($peoples,'ученого','ученых','ученых').' успешно начата<br/>';
				echo 'Это обошлось Вам в '.chislo($cena_money,'монету','монеты','монет').' и '.chislo($cena_stone,'камень','камня','камня').'<br/>';
				echo 'До завершения осталось: '.period($ostalos).'<br/>';
				t2();

				a('new_task.php?','Добавление задач','add');
				a('/buildings.php?id=4&',$building_all['name'],'building');
				include_once('../inclfiles/foot.php');
         	}
		}
		err();
		echo '<form action="obuch_academics.php?'.$gets.'" method="POST">';
		c('Количество рабочих для обучения (свободно '.$country['peoples_free'].'):<br/><input type="text" name="peoples" value="'.intval($peoples).'"/>');
		c('Ученые, которые будут обучать рабочих (свободно '.$country['academics_free'].'):<br/><input type="text" name="academics" value="'.intval($academics).'"/>');
		c('<input name="ok" type="submit" value="Обучить новых ученых" />');
		echo '</form>';
	}

}

a('new_task.php?','Добавление задач','add');
a('/buildings.php?id=4&',$building_all['name'],'building');
include_once('../inclfiles/foot.php');
?>